

   proc CreateSigTask {Name Opts} {
       global errorCode errorInfo
       variable Wmsg

       set z [catch {::namespace inscope ::urn:SigTaskService DefineRegister  $Name SigTask $Opts} Wmsg]

       if {$z == 0} {
#           InsertLog "DefineRegister returned: [lindex $Wmsg 5]"
           set errorCode 0
       } else {
           InsertLog "DefineRegister failed: Name=$Name; Opts=$Opts; Code= $errorCode; Info= [first [split $errorInfo \n]]"
           return -code error -errorcode $errorCode -errorinfo "[first [split $errorInfo \n]]"
       }
       return $errorCode
   }

   proc WriteSigTask {Name Data} {
       global errorCode errorInfo
       variable Wmsg

       set z [catch {::namespace inscope ::urn:SigTaskService WriteRegister  $Name $Data} Wmsg]

       if {$z == 0} {
#          InsertLog "WriteRegister returned: [lindex $Wmsg 5]"
           set errorCode 0
       } else {
           InsertLog "WriteRegister failed: Name=$Name; Data=$Data; Code= $errorCode; Info= [first [split $errorInfo \n]]"
           return -code error -errorcode $errorCode -errorinfo "[first [split $errorInfo \n]]"
       }
       return $errorCode
   }

   proc WriteSigTaskAttr {Name Data} {
       global errorCode errorInfo
       variable Wmsg

       set z [catch {::namespace inscope ::urn:SigTaskService WriteRegisterAttributes  $Name $Data} Wmsg]

       if {$z == 0} {
#           InsertLog "WriteRegisterAttributes returned: [lindex $Wmsg 5]"
           set errorCode 0
       } else {
           InsertLog "WriteRegisterAttributes failed: Name=$Name; Data=$Data; Code= $errorCode; Info= [first [split $errorInfo \n]]"
           return -code error -errorcode $errorCode -errorinfo "[first [split $errorInfo \n]]"
       }
       return $errorCode
   }

